## hebcal 3.2

=== Makefile ===
# Copyright(c) 1994  Danny Sadinoff
# See section COPYING for conditions for redistribution

#The CITY macro should be set to one of the following:
#ATLANTA AUSTIN BERLIN BOGOTA BOSTON BUENOS_AIRES BUFFALO CHICAGO
#CINCINNATI CLEVELAND DALLAS DENVER DETROIT HAWAII HOUSTON JERUSALEM
#JOHANNESBURG LONDON LOS_ANGELES MIAMI MEXICO_CITY NEW_YORK OMAHA
#PHILADELPHIA PHOENIX PITTSBURGH SAINT_LOUIS SAN_FRANCISCO SEATTLE
#TORONTO VANCOUVER WASHINGTON_DC

##  this sets the default latitude, longitude and timezone.
##  the code affected is in rise.c, so modify as necessary.  
##  See the README file for more information

CITY = NEW_YORK

#if you run into compilation problems, try changing the cc to gcc
CC = cc

VERSION = 3.2

#there is no need to change anything below this line
#-----------------------------------------------------------------

#CFLAGS =  -O 
LDFLAGS = -lm

OBJ = start.o hebcal.o greg.o error.o danlib.o mygetopt.o rise.o \
      common.o holidays.o sedra.o gnu.o

CFILES = common.c danlib.c error.c mygetopt.c greg.c hebcal.c\
         holidays.c rise.c sedra.c start.c gnu.c

HFILES = common.h danlib.h myerror.h mygetopt.h\
        greg.h hebcal.h mymath.h mystring.h mytime.h mystdio.h\
	rise.h sedra.h proto.h

FILES = $(CFILES) $(HFILES) Makefile hebcal.1  Manual README hebcal.dsw hebcal.dsp


hebcal:  $(OBJ)
	 $(CC) $(OBJ) -o hebcal $(CFLAGS) $(LDFLAGS)

rise.c:	rise.h 

hebcal.o:	hebcal.h common.h danlib.h myerror.h rise.h greg.h\
                   proto.h sedra.h hebcal.c

sedra.o:	 sedra.h hebcal.h sedra.c

gnu.o:		 gnu.c

greg.o:		 greg.h myerror.h proto.h greg.c mytime.h mystring.h

error.o:	 myerror.h proto.h error.c

danlib.o:	 danlib.h proto.h myerror.h  danlib.c

mygetopt.o:	 mygetopt.h mygetopt.c

common.o:	 common.h greg.h hebcal.h proto.h myerror.h common.c

start.o:	 start.c hebcal.h common.h mygetopt.h danlib.h greg.h myerror.h\
                   proto.h mystring.h mymath.h Makefile
	 $(CC) $(CFLAGS) -c start.c -o start.o -DCITY='"$(CITY)"' -DVERSION='"$(VERSION)"'

print:	$(FILES) hebcal.1 Manual
	enscript -G2r -pprintout1.ps $? Manual
	ptroff -t -man hebcal.1 > printout2.ps
	touch print
	can Manual

TARDIR =  hebcal-$(VERSION)

tar:
	mkdir $(TARDIR)
	cp $(FILES) $(TARDIR)
	tar cvf - $(TARDIR) | gzip -c > $(TARDIR).tar.gz 
	rm -fr $(TARDIR)

zip:
	mkdir $(TARDIR)
	cp $(FILES) $(TARDIR)
	zip -r $(TARDIR).zip $(TARDIR)
	rm -fr $(TARDIR)

clean:
	rm -f *.o *~ core
	du

indent: $(CFILES)
	gnu-indent $<

## hebcal 4.15

=== debian/changelog ===
hebcal (4.15-1) unstable; urgency=medium

  * new upstream release (closes: #618613, #620127)
  * adopt package
  * accept NMU changes (thanks, Paulo!)
  * bump to dh12
  * simplify debian/rules
  * harden
  * bump standards version
  * adjust to upstream documentation file changes
  * quilt patch for some typos
  * add packaging repository on salsa
  * remove now-unneeded packaging support files

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 03 Jan 2019 19:51:50 +0100

hebcal (3.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated DH to level 10. (Closes: #817493)
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Added Homepage field.
  * debian/watch: created.

 -- Paulo Henrique de Lima Santana (phls) <phls@softwarelivre.org>  Fri, 07 Oct 2016 16:01:47 -0300

hebcal (3.5-2) unstable; urgency=low

  * Fix Asara B'Tevet Bug, pulled from 3.9 release

 -- Shaya Potter <spotter@cs.columbia.edu>  Tue, 09 Nov 2010 12:20:06 -0500

hebcal (3.5-1) unstable; urgency=low

  * new release
    "This is a maintenance release, with a few updates, notably support for
     the 2007 DST changeover."

  * Fix's info file bug (closes: #373865), by including Ubuntu's fix.

 -- Shaya Potter <spotter@cs.columbia.edu>  Thu, 15 Jun 2006 21:33:17 -0400

hebcal (3.4-2) unstable; urgency=low

  * Cleaned up some dh_make droppings in source package

 -- Shaya Potter <spotter@cs.columbia.edu>  Sun, 22 May 2005 21:25:06 -0400

hebcal (3.4-1) unstable; urgency=low

  * New Version (Closes: #310264)

 -- Shaya Potter <spotter@cs.columbia.edu>  Sun, 22 May 2005 08:50:11 -0400

hebcal (3.2-1) unstable; urgency=low

  * Initial Release. (Closes: #156606)

 -- Shaya Potter <spotter@cs.columbia.edu>  Mon, 13 May 2002 22:24:40 -0400

=== debian/control ===
Source: hebcal
Section: utils
Priority: optional
Maintainer: Shaya Potter <spotter@cs.columbia.edu>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 12)
Standards-Version: 4.3.0
Homepage: https://github.com/hebcal/hebcal
Vcs-Git: https://salsa.debian.org/debian/hebcal.git
Vcs-Browser: https://salsa.debian.org/debian/hebcal

Package: hebcal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Perpetual Jewish Calendar
 Hebcal is a program which prints out the days in the Jewish calendar
 for a given gregorian year.  Hebcal is fairly flexible in terms of which
 events in the Jewish calendar it displays.

## hebcal 4.16

=== debian/changelog ===
hebcal (4.16-1) unstable; urgency=medium

  * new upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Jan 2019 20:26:31 +0000

## hebcal 4.18

=== debian/changelog ===
hebcal (4.18-1) unstable; urgency=medium

  * new upstream release, apparently fixes bigendian issues

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 28 Apr 2019 19:13:01 +0100

hebcal (4.17-1) unstable; urgency=medium

  * remove upstreamed quilt patches
  * new upstream release (closes: #919868)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 Apr 2019 14:06:48 +0100

## hebcal 4.19

=== debian/changelog ===
hebcal (4.19-1) unstable; urgency=medium

  * new upstream version, this time really fixes the bigendian issue
  * debhelper version syntax
  * bump policy, no changes needed
  * no need to build as root

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 29 Sep 2019 17:55:06 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Shaya Potter <spotter@cs.columbia.edu>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 12)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: https://github.com/hebcal/hebcal
 Vcs-Git: https://salsa.debian.org/debian/hebcal.git
 Vcs-Browser: https://salsa.debian.org/debian/hebcal

=== debian/watch ===
version=4
https://github.com/hebcal/hebcal/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## hebcal 4.21

=== debian/changelog ===
hebcal (4.21-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 07 Aug 2020 13:54:32 +0100

hebcal (4.20-2) unstable; urgency=medium

  * Track upstream changes (closes: #957331)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 May 2020 22:58:03 +0100

hebcal (4.20-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Barak A. Pearlmutter ]
  * Bump to debhelper compatibility level 13
  * New upstream release
  * Track minor upstream changes and include an autotools patch
  * Build dependency for AX_ warning-enable autoconf macro

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 15 May 2020 09:43:42 +0100

## hebcal 4.22

=== debian/changelog ===
hebcal (4.22-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Oct 2020 15:23:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Shaya Potter <spotter@cs.columbia.edu>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13),
+		autoconf-archive
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/hebcal/hebcal
 Vcs-Git: https://salsa.debian.org/debian/hebcal.git

## hebcal 4.23

=== debian/changelog ===
hebcal (4.23-2) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 27 Dec 2020 21:23:04 +0000

## hebcal 4.24

=== debian/changelog ===
hebcal (4.24-2) unstable; urgency=medium

  * Add lintian override for spelling of “Alot”
  * Remove initial article from description summary per lintian, and add
    “Hebrew Calendar” to description for searchability
  * Track upstream commit: updated time database
  * Regenerate debian/copyright
  * Quilt patch to fix "must be run in tests/" bug in test 11
  * Enable autopkgtest

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 10 Apr 2021 21:52:37 +0100

hebcal (4.24-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 Jan 2021 11:24:43 +0000

hebcal (4.23-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 27 Dec 2020 21:23:04 +0000

=== debian/control ===
Source: hebcal
Section: utils
Priority: optional
Maintainer: Shaya Potter <spotter@cs.columbia.edu>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13),
		autoconf-archive
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/hebcal/hebcal
Vcs-Git: https://salsa.debian.org/debian/hebcal.git
Vcs-Browser: https://salsa.debian.org/debian/hebcal

Package: hebcal
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Perpetual Jewish Calendar
 Hebcal is a program which prints out the days in the Jewish calendar,
 aka the Hebrew Calendar, for a given gregorian year. Hebcal is fairly
 flexible in terms of which events it displays.

## hebcal 4.25

=== debian/changelog ===
hebcal (4.25-2) unstable; urgency=medium

  * Track minor upstream mods
  * Install README in all available languages

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Jun 2021 23:27:27 +0100

hebcal (4.25-1) unstable; urgency=medium

  * Update uscan support file
  * New build dependency: gperf
  * Quilt patch to test script 11 has been upstreamed
  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 22 Apr 2021 21:08:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Shaya Potter <spotter@cs.columbia.edu>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
-		autoconf-archive
+		gperf, autoconf-archive
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/hebcal/hebcal

=== debian/tests/control ===
Tests: test-hebcal-all

## hebcal 4.26

=== debian/changelog ===
hebcal (4.26-1) unstable; urgency=medium

  * New upstream release.
  * Set field Upstream-Name in debian/copyright.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 05 Aug 2021 10:51:35 +0100

## hebcal 4.27

=== debian/changelog ===
hebcal (4.27-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Nov 2021 09:00:27 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		gperf, autoconf-archive
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/hebcal/hebcal
 Vcs-Git: https://salsa.debian.org/debian/hebcal.git

=== debian/watch ===
version=4
https://github.com/hebcal/@PACKAGE@/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## hebcal 4.29

=== debian/changelog ===
hebcal (4.29-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 May 2022 15:33:36 +0100

hebcal (4.28-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 03 May 2022 17:05:58 +0100

## hebcal 4.30

=== debian/changelog ===
hebcal (4.30-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 14 Jul 2022 21:36:23 +0100

## hebcal 4.31

=== debian/changelog ===
hebcal (4.31-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 27 Aug 2022 20:10:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper-compat (= 13),
 		gperf, autoconf-archive
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/hebcal/hebcal
 Vcs-Git: https://salsa.debian.org/debian/hebcal.git
